package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Basic vlan-oui-priority configuration of oui based vlan rule.
 */
@ApiModel(description = "Basic vlan-oui-priority configuration of oui based vlan rule.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VlanOuiModeQueryOpenApiVo   {
  @JsonProperty("vlanId")
  private Integer vlanId;

  @JsonProperty("priority")
  private Integer priority;

  @JsonProperty("ouiProfileId")
  private String ouiProfileId;

  @JsonProperty("ouiProfileName")
  private String ouiProfileName;

  public VlanOuiModeQueryOpenApiVo vlanId(Integer vlanId) {
    this.vlanId = vlanId;
    return this;
  }

  /**
   * Selected vlan should be within the range of 2 or 4090
   * @return vlanId
  */
  @ApiModelProperty(required = true, value = "Selected vlan should be within the range of 2 or 4090")
  @NotNull


  public Integer getVlanId() {
    return vlanId;
  }

  public void setVlanId(Integer vlanId) {
    this.vlanId = vlanId;
  }

  public VlanOuiModeQueryOpenApiVo priority(Integer priority) {
    this.priority = priority;
    return this;
  }

  /**
   * Selected priority should be within the range of 0 or 7.
   * @return priority
  */
  @ApiModelProperty(required = true, value = "Selected priority should be within the range of 0 or 7.")
  @NotNull


  public Integer getPriority() {
    return priority;
  }

  public void setPriority(Integer priority) {
    this.priority = priority;
  }

  public VlanOuiModeQueryOpenApiVo ouiProfileId(String ouiProfileId) {
    this.ouiProfileId = ouiProfileId;
    return this;
  }

  /**
   * Oui profile ID.
   * @return ouiProfileId
  */
  @ApiModelProperty(required = true, value = "Oui profile ID.")
  @NotNull


  public String getOuiProfileId() {
    return ouiProfileId;
  }

  public void setOuiProfileId(String ouiProfileId) {
    this.ouiProfileId = ouiProfileId;
  }

  public VlanOuiModeQueryOpenApiVo ouiProfileName(String ouiProfileName) {
    this.ouiProfileName = ouiProfileName;
    return this;
  }

  /**
   * Oui profile name. (Used in Get Api.)
   * @return ouiProfileName
  */
  @ApiModelProperty(value = "Oui profile name. (Used in Get Api.)")


  public String getOuiProfileName() {
    return ouiProfileName;
  }

  public void setOuiProfileName(String ouiProfileName) {
    this.ouiProfileName = ouiProfileName;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VlanOuiModeQueryOpenApiVo vlanOuiModeQueryOpenApiVo = (VlanOuiModeQueryOpenApiVo) o;
    return Objects.equals(this.vlanId, vlanOuiModeQueryOpenApiVo.vlanId) &&
        Objects.equals(this.priority, vlanOuiModeQueryOpenApiVo.priority) &&
        Objects.equals(this.ouiProfileId, vlanOuiModeQueryOpenApiVo.ouiProfileId) &&
        Objects.equals(this.ouiProfileName, vlanOuiModeQueryOpenApiVo.ouiProfileName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(vlanId, priority, ouiProfileId, ouiProfileName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VlanOuiModeQueryOpenApiVo {\n");
    
    sb.append("    vlanId: ").append(toIndentedString(vlanId)).append("\n");
    sb.append("    priority: ").append(toIndentedString(priority)).append("\n");
    sb.append("    ouiProfileId: ").append(toIndentedString(ouiProfileId)).append("\n");
    sb.append("    ouiProfileName: ").append(toIndentedString(ouiProfileName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

